Bug 22090 - Cash register report missing data in CSV export
Summary: Cash register report missing data in CSV export
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-09 20:46 UTC by Andrew
Modified: 2019-05-10 20:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22090: Add missing information to cash register CSV file (3.88 KB, patch)
2019-04-08 00:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22090: Add missing information to cash register CSV file (3.92 KB, patch)
2019-04-08 19:11 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22090: Add missing information to cash register CSV file (3.98 KB, patch)
2019-04-14 22:28 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2019-01-09 20:46:01 UTC
When exporting a cash_register_stats.pl report, the following fields are missing: 
manager surname
patron surname
note
Comment 1 Katrin Fischer 2019-04-08 00:24:31 UTC
Created attachment 87487 [details] [review]
Bug 22090: Add missing information to cash register CSV file

Some information was missing from the CSV export file
of the Cash register report: manager surname, patron surname
and payment notes.

Also pretties up the column headers a bit and makes the
sequence between GUI and CSV export match.

To test:
- Make sure you have some fines and fees and payments in
  your system
- Make a search with the Cash register report
- Export results as CSV
- Proof read hader line and make sure contents match headings
- Verify first name and surname are shown for manager and patron
- Verify notes show up
Comment 2 Michal Denar 2019-04-08 19:11:50 UTC
Created attachment 87548 [details] [review]
Bug 22090: Add missing information to cash register CSV file

Some information was missing from the CSV export file
of the Cash register report: manager surname, patron surname
and payment notes.

Also pretties up the column headers a bit and makes the
sequence between GUI and CSV export match.

To test:
- Make sure you have some fines and fees and payments in
  your system
- Make a search with the Cash register report
- Export results as CSV
- Proof read hader line and make sure contents match headings
- Verify first name and surname are shown for manager and patron
- Verify notes show up

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Chris Cormack 2019-04-14 22:28:59 UTC
Created attachment 87965 [details] [review]
Bug 22090: Add missing information to cash register CSV file

Some information was missing from the CSV export file
of the Cash register report: manager surname, patron surname
and payment notes.

Also pretties up the column headers a bit and makes the
sequence between GUI and CSV export match.

To test:
- Make sure you have some fines and fees and payments in
  your system
- Make a search with the Cash register report
- Export results as CSV
- Proof read hader line and make sure contents match headings
- Verify first name and surname are shown for manager and patron
- Verify notes show up

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Nick Clemens 2019-04-16 13:25:53 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-25 14:03:31 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-05-10 20:08:05 UTC
backported to 18.05.x for 18.05.13